\section{Pressure}
Pressure will always be a part in the software engineering acitvites.

\subsection{Avoiding Pressure}
The best way to stay calm under pressure, is the ability to avoid situation which cause pressure.

\paragraph{Commitments}
We already have discussed how important commitments are. In order to stay out of pressure don't change your commitment when you are forced to. If the business has made a commitment that you cant contribute yourself too, the business has to find a solution for the problem.

\paragraph{Staying Clean}
Another good way to stay out of pressure, is to stay clean when situation get hot. Just because there is pre-sure mad from the manager, doesn't mean that you need to create a mess in order to mover more quickly. A professional does continue to work and keeps the output as clean as possible.

\paragraph{Crisis Discipline}
Don't change your behaviour in a crisis. Create disciplines in normal times in order to survive a crisis. If you always follow the TDD principle, also follow it when you get into a crisis.

\subsection{Handling Pressure}
You may have mad a commitment, that you can't keep, what do you do?

\paragraph{Don't Panic}
The worst thing you could do is to rush in order to reach the goal. Don't do that!

\paragraph{Communicate}
Let the team and your colleagues know, that you are in a bad situation. Nobody likes to know about trouble when they can't fix it anymore.

\paragraph{Rely On Your Disciplines}
You need to trust in your disciplines in order to keep the head clear. This is the reason you have build disciplines.

\paragraph{Get Help}
Pair up with a team mate. There will always be someone who will help you in order to tackle the challenge with you.